classification
Title: Explicitly skip or mask skipped/disabled tests in test_xpickle
Type: enhancement Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2013-12-10 17:32 by zach.ware, last changed 2015-01-27 20:47 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_xpickle_cleanup.diff zach.ware, 2013-12-10 17:32 review
test_xpickle_cleanup_2.patch serhiy.storchaka, 2014-12-13 20:56 review
Messages (5)
msg205837 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-12-10 17:32
The attached patch moves test_xpickle away from using alternately defined empty TestCases to skip the backward compatibility tests to using a skip decorator.  Also, several disabled tests are moved from defining empty tests to setting the test name to None.  Also, the have_python_version function's test has its quotes swapped between ' and "; this made it possible to test the changes on Windows.
msg231368 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-19 10:52
Ping. I had added comments on Rietveld.
msg231397 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-11-19 18:41
Sorry, I haven't had a chance to get back to this one.
msg232621 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-12-13 20:56
In updated patch the "xpickle" resource is tested before attempts to run Python executables. Also these checks are moved from decorator to the setUp() method. The result of have_python_version() now is memoized. Fixed running the test in unicode-disabled build. And added tests for installed Python 2.7. As far as older Python versions are rarely installed nowadays, this allows to check that the test is work at all (and that there is no significant regression against previous bugfix).
msg234849 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-01-27 20:45
New changeset 94d8524086bd by Serhiy Storchaka in branch '2.7':
Issue #19949: The test_xpickle test now tests compatibility with installed
https://hg.python.org/cpython/rev/94d8524086bd
History
Date User Action Args
2015-01-27 20:47:11serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-01-27 20:45:41python-devsetnosy: + python-dev
messages: + msg234849
2015-01-27 20:36:27serhiy.storchakasetassignee: serhiy.storchaka
2014-12-13 20:56:07serhiy.storchakasetfiles: + test_xpickle_cleanup_2.patch

messages: + msg232621
2014-11-19 18:41:52zach.waresetmessages: + msg231397
2014-11-19 10:52:27serhiy.storchakasetmessages: + msg231368
2014-02-15 15:04:14ezio.melottisetnosy: + serhiy.storchaka
type: enhancement
2013-12-10 17:32:05zach.warecreate